Do I need to upgrade from Portable version 4.9.0?

Support for Windows users
Post Reply
BillyTheKid
Posts: 26
Joined: 19 Dec 2019, 17:15

Do I need to upgrade from Portable version 4.9.0?

Post by BillyTheKid »

Hi,

I am using portable version 4.9.0 on Windows since sometime in 2019 I believe.

Current filebot call;

Code: Select all

C:\Users\User\Downloads\FileBot_4.9.0-portable\filebot -script fn:amc --conflict auto --output "Z:/Shared Videos/Video" --action duplicate -non-strict "Z:/Shared Videos/Torrent/2_Completed" --log-file amc.log --def excludeList=amc.txt --def movieFormat="{fn =~ /2160|UHD|4K/ ? '4K Movies' : fn =~ /UFC|ufc/ ? 'UFC' : 'Movies'}/{plex.tail}" seriesFormat={plex} unsorted=y --def gmail=abc:123
Everything is working perfectly, 3 license upgrades in that time as well i think.

Is there any requirement for me to upgrade to a later portable version if i am seeing no issues? Do portable versions get retired? Will my current filebot call work with portable version 4.9.4 with no changes?

Thanks in advance.
User avatar
rednoah
The Source
Posts: 21496
Joined: 16 Nov 2011, 08:59

Re: Do I need to upgrade from Portable version 4.9.0?

Post by rednoah »

Likely, yes. Using the latest stable version is generally recommended. Older releases are untested and unmaintained and some features may stop working over time, especially internet-connected aspects, e.g. 3rd party APIs changing, SSL root certificates being outdated, etc.


Your amc script call seems pretty standard, so you it will likely work verbatim without change with newer revisions.
:idea: Please read the FAQ and How to Request Help.
BillyTheKid
Posts: 26
Joined: 19 Dec 2019, 17:15

Re: Do I need to upgrade from Portable version 4.9.0?

Post by BillyTheKid »

Thanks so much for your quick reply.
Post Reply